% Noise Free CCD simulation hardware profile.

% dsp signal process variables
%
% Gross offset adjustment at preamp in microvolts
% Value for Coarse AD bias after Reset removal in uvolts
% i.e we want normal no signal reading = FS - 200 millivolts
D_gross_bias = 200000;
% preamp gain
D_preamp_gain = 8.34;

% D-A converter characteristics
% Coarse offset DA for RESET subtraction
D_Coarse_DA_bits = 12;
% Gain on Coarse D-A
D_Coarse_DA_Gain = 8;
% Fine offset DA for SIGNAL subtraction.
% Fine Offset D-A bits
D_Fine_DA_bits = 12;
% Fine D-A settling time in microsecs
D_Fine_DA_settle = 0.01;
% Number of bits to slide the Coarse A/D result
D_slide = 2;

% A-D converter characteristics
%
% Voltage reference for coarse, fine and fine offset devices in micro volts
D_Vref = 2048000;
% Coarse A-D Aperture time in micros secs
D_Aperture_coarse = 0.02;
% Number of bits in Coarse A-D
D_Coarse_AD_bits = 12;
% Coarse A-D time to resolve value in microsecs
D_Coarse_AD_time = 0.125;
% Gain before coarse stage
D_Coarse_AD_gain = 0.5;


% Fine A-D Aperture time in micro secs
D_Aperture_fine = 0.01;
% Number of bits in Fine A-D
D_Fine_AD_bits = 8;
% Fine A-D sampling frequency in Hz
D_sample_freq = 80000000;
% Gain before fine stage
% D_Fine_gain;
D_Fine_gain = 256;

% Difference in resolution between Coarse and Fine A/D's
D_Gain_Factor = 32;
%D_Gain_Factor = 8.4;