% Noise Free CCD's
% main exec routines for setup of noise example

% cleanup the house
clear
clf reset

% Get profile number
Data_directory = 'C:\users\pcm\matlab\nfccd';
fprintf(1, '\nWhich profile would you like to run');
dir ([Data_directory, '\pro_*.m']);
Pro_file = input('Enter the profile number ?');
a = ['pro_',int2str(Pro_file)];
fprintf(1,'\nLoading Detector profile %s\\%s.m',Data_directory,a);
eval(a);

% check to see if timing parameters fit !
if (1 / Pr) < ((T_Clk + T_Rst + T_Xfer + T_Sig) / 1000000)
  fprintf(1,'\n\n!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!');
  fprintf(1,'\n!!! Total pixel processing time exceeds value allowed for by pixel rate !!!');
  fprintf(1,'\n!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!\n\n');
  return;
end

% Load hardware profile
fprintf(1,'\nLoading Hardware profile %s\\%s.m\n',Data_directory,'hardware');
eval('hardware');

% diagnostic switch. 2 = print diagnostics 1 = diagnostics on, 0 = diagnostics off.
%
diag_on = 0;
fprintf(1, '\nWould you like diagnostic information');
diag_on = input('Enter 1 for yes, 0 for no, 2 for print of plots ? ');

if diag_on > 1
  lp = fopen([Data_directory,'\Rslt_',int2str(Pro_file),'.txt'],'w');
else
  lp = 1;
end

% System constants
% There are m time units in one second i.e we measure in usecs.
m = 1000000;
% calculate sample frequency
Ns = Nf * 2;
% length of signal vector
Sig_len = fix(Ns / Pr); 
% start of video portion of waveform
Sig_start = fix(Sig_len * WSym);

% Output profile summary to console
fprintf(lp,'\n ------- Profile Summary --------');
fprintf(lp,'\nData sample rate is %4.2f MHz', (Nf * 2 / m));
fprintf(lp,'\nPixel readout is %u Pix/Sec.', Pr);
fprintf(lp,'\nPixels are simulated with %5.3f e- signal', sig_e);
if ADD_N_ClockFeedthru > 0
  fprintf(lp,'\nClock Feedthru is simulated with %5.3f volts amplitude.', Volts_feedthru / 1000000);
else
  fprintf(lp,'\nClock Feedthru is not considered');
end
if ADD_N_Johnson > 0
  fprintf(lp,'\nJohnson noise is present at %5.3f microvolts rms.',VonJ);
else
  fprintf(lp,'\nJohnson noise is not considered');
end
if ADD_N_OneOverF > 0
  fprintf(lp,'\n1/f noise is present at %5.3f microvolts / root Hz.',Vonoof);
else
  fprintf(lp,'\n1/f noise is not considered');
end
if ADD_N_Reset > 0
  fprintf(lp,'\nReset noise is present at %5.3f microvolts rms at fundemental F = %4.2f KHz.', Vrstr, Hzrstr / 1000);
else
  fprintf(lp,'\nReset noise is not considered');
end
fprintf(lp,'\n\n');

% generate signal and noise mats
sig_gen

% process it through the sample method
sig_dsp

% Image display
p = [1:Pixels];
bar(p, Pix_output);
ylabel('Signal (e-)');
xlabel('Pixels');
grid on;

% Quality report
pix_mean = mean(Pix_output(2:length(Pix_output) - 1));
pix_max = max(Pix_output(2:length(Pix_output) - 1));
pix_min = min(Pix_output(2:length(Pix_output) - 1));
pix_std = std(Pix_output(2:length(Pix_output) - 1));

fprintf(lp,'\nPixel data stats mean    = %5.2f e-',pix_mean);
fprintf(lp,'\n                 stdev   = %5.2f e-',pix_std);
fprintf(lp,'\n                 maximum = %5.2f e-',pix_max);
fprintf(lp,'\n                 minimum = %5.2f e-',pix_min);

% Close down
fprintf(lp,'\n\nDone.\n');

if diag_on > 1
  fclose(lp);
  lp = fopen([Data_directory,'\Rslt_',int2str(Pro_file),'.txt'],'w');
  b = axis;
  j = b(4) - b(3) / 10;
  for q = b(4) - j, b(3), -1 * j
    s = fgets(lp);
    if s == -1
      break;
    end
    text(1, q, s);
    fprintf(1,'%s',s);
  end
  print
  fclose(lp);
  fprintf(1,'\nDone.\n');
end
 