% configuration profile for noise examples

% general constants
%
% Nyquist frequency of simulated data (Hz)
Nf = 25000000;
% number of pixels to process (must be at least three)
Pixels = 100;

% Process switches
% If noise sources added to signal during simulation
ADD_N_Johnson = 1;
ADD_N_OneOverF = 1;
ADD_N_Reset = 1;
ADD_N_ClockFeedthru = 1;

% detector signal characteristics 
% nominal gain at detector output in uvolts (V / e-)
V_e = 6.1;
%signal level in pixels in electrons
sig_e = 14;
% nominal reset voltage at source in microvolts
Vrst = 12000000;
% nominal signal voltage in microvolts
Vsig = V_e * sig_e;
% voltage of clock feed thru on detector signal in micro volts
Volts_feedthru = 500000;
% 3db cutoff frequency (Hz) for 1/f noise knee
oof_rolloff = 100000;
% On chip amp Johnson noise voltage (micro volts rms)
VonJ =18.5;
% On chip 1/f noise voltage (micro volts @ 0 Hz)
Vonoof =  1.5;
% reset source ripple voltage (micro volts rms)
Vrstr = 1000;
% reset source ripple voltage frequency (Hz)
Hzrstr = 20000;

% Timing variables - all values in micro secs.
% Pixel rate (Pix / sec)
Pr = 500000;
% Waveform symetry i.e symetry between reset and video portion
WSym = 0.5;
% Time period occupied by horizontal clocks + reset pulse in us
T_Clk = 0.35;
% Time for reset sig settling i.e pre reset sample delay
T_Rstl = 0.1;
% Time period for reset sample
T_Rst = 0.5;
% Time period for horizontal transfer clock
T_Xfer = 0.15;
% Time for video sig settling i.e pre video sample delay
T_Sstl = 0.1;
% Time period for signal sample
T_Sig = 0.5;
